#ifndef MULTIGRAPH_H
#define MULTIGRAPH_H
#define MAXG 10
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "stackgraph.h"
#include "setgraph.h"
#include "dinamicmatrix.h"
class multigraph
{
private:
    int n;

    int ** multig;
public:
    multigraph();
    multigraph(int numVertex);
    void setEdge(int i, int j);
    void getAdjacent(int vertex,setGraph * s);
    void removeEdge(int i, int j);
    void collapseEdge(int vertex1, int vertex2);
    void printGraph ();
    bool hasLoop();
    void pathGraph (int vertex,setGraph * s);
    int numComponents ();
    bool isBridge(int vertex1,int vertex2);
    bool hasBridge();
    int getFirstLoop();
    void getFirstBridge(setGraph * s);
    int getNumVertex();
    int getNumEdges();
    bool hasEdges();
    void copyGraph(multigraph * g);
    int getEdgeValue(int vertex1,int vertex2);
    void setSingleEdge(int vertex1, int vertex2);

    void getFirstEdge(setGraph * s);
    void setNumVertex(int i);
    void cleanGraph();
    void printGraphAsAdjListInFile(FILE* f);
    void printGraphAsAdjMatrixInFile(FILE* f);
    void printGraphAsUpperMatrixInFile(FILE* f);
    void destroyGraph();
 };

#endif // MULTIGRAPH_H
