#include "setgraph.h"

setGraph::setGraph()
{
    this->numberOfElements=0;
    this->content = makeDinArray(MAXSET);
}
setGraph::setGraph(int number)
{
    this->numberOfElements=0;
    this->content = makeDinArray(number);
}

void setGraph::add(int element){
    this->content[this->numberOfElements]=element;
    this->numberOfElements++;
}
int setGraph::get(int pos){
    if(pos<this->numberOfElements) {
        return this->content[pos];
    }
    else{
        return -1;
    }
}
int setGraph::remove(int pos){
    int result = -1;
    int i;
    if(pos<this->numberOfElements) {
        result = this->content[pos];
        for (i=pos;i<this->numberOfElements-1;i++){
            this->content[i]=this->content[i+1];
        }
        this->numberOfElements--;
    }
    return result;
}
int setGraph::getNumberOfElements(){
    return this->numberOfElements;
}
bool setGraph::isInSet(int element){
    bool result = false;
    int i;
    for (i=0;i<this->numberOfElements && !result;i++){
        if(this->content[i]==element)
            result = true;
    }
    return result;
}
void setGraph::addSet(setGraph * s){
    int i;
    for(i=0;i<s->getNumberOfElements();i++){
        this->add(s->get(i));
    }
}
int setGraph::getPos(int element){
    bool result = false;
    int pos=-1;
    int i;
    for (i=0;i<this->numberOfElements && !result;i++){
        if(this->content[i]==element){
            result = true;
            pos=i;
        }
    }
    return pos;
}
void setGraph::destroySet(){
    destroyArray(this->content);
    this->content=NULL;
}
